Skip to main content
GET
/
v1
/
transactions
/
{reference}
/
webhooks
/
receiver
Get the RECEIVER webhook record
curl --request GET \
  --url https://idaas.yourflexpay.com/api/v1/transactions/{reference}/webhooks/receiver \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "errorCode": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transactionReference": "TXN-16820000-AB1C2D3E",
    "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "applicationName": "<string>",
    "direction": "RECEIVER",
    "targetUrl": "https://app-b.example.com/webhooks/transactions",
    "eventType": "TRANSACTION_INITIATED",
    "status": "PENDING",
    "attempts": 123,
    "lastError": "<string>",
    "lastAttemptAt": "2023-11-07T05:31:56Z",
    "deliveredAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "errors": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.

Path Parameters

reference
string
required

Transaction reference

Response

Webhook record found

success
boolean
message
string
errorCode
string
data
object

Outbound webhook delivery record for a transaction

errors
string[]
timestamp
string<date-time>